[package]
name = "obikmer"
version = "0.1.0"
edition = "2024"

[[bin]]
name = "obikmer"
path = "src/main.rs"

[dependencies]
obikseq       = { path = "../obikseq" }
obiread       = { path = "../obiread" }
obiskbuilder  = { path = "../obiskbuilder" }
obifastwrite  = { path = "../obifastwrite" }
obipipeline   = { path = "../obipipeline" }
obikrope      = { path = "../obikrope" }
obikpartitionner = { path = "../obikpartitionner" }
obisys        = { path = "../obisys" }
obiskio       = { path = "../obiskio" }
obikindex     = { path = "../obikindex" }
obilayeredmap = { path = "../obilayeredmap" }
clap          = { version = "4", features = ["derive"] }
serde_json    = "1"
csv           = "1"
kodama        = "0.2"
speedytree    = "0.1"
rayon         = "1"
indicatif     = "0.17"
tracing       = "0.1.44"
tracing-subscriber = { version = "0.3", features = ["fmt", "env-filter"] }
pprof = { version = "0.13", features = ["prost-codec"], optional = true }

[features]
profiling = ["dep:pprof"]
